Subject: Re: katomic and atomix will not run
From: Eliot Moss <[email-masked]>
Cc: [email-masked]
Date: Sat, 18 Apr 2020 12:20:49 -0400
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 4/18/2020 11:40 AM, Phoenix Soul wrote:
> No, I haven't. What is it and how do I run one?
> 
> On Fri, Apr 17, 2020 at 3:23 PM Eliot Moss <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     On 4/17/2020 5:16 PM, Phoenix Soul via Cygwin wrote:
>      > I decided that I was going to get katomic and atomix for cygwin, and
>      > selected the most recent version listed.
>      > atomix refuses to run and says:
>      > Unable to init server: Could not connect to 127.0.0.1 <http://127.0.0.1>: Connection refused
>      >
>      > (atomix:1495): Gtk-WARNING **: cannot open display:
>      > katomic says:
>      > QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to
>      > '/tmp/runtime-warri_000'
>      > qt.qpa.screen: QXcbConnection: Could not connect to display
>      > Could not connect to any X display.
>      > I have already tried using source as well. I have already pinged 127.0.0.1
>      > (localhost) to ensure that it does exist. What must be done to fix it.
>      > Windows version is 8.1, and this is a no admin installation.
> 
>     ... and you have an X server already running?  Maybe some details
>     about that end of things will help folks help you ...

Well that explains your error messages :-) ...

An X server deals with the screen, and X windows applications, such as the
ones you're trying to run, connect to it to get their stuff displayed.

The guide to X on Cygwin may be found at https://x.cygwin.com/docs/ug/.
I also find the XLaunch program to be helpful.  Maybe someone else has a
short cookbook list of things to do or can direct you to particular
sections of the guide ...

Regards - EM
--
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple